# Retrieve Cleaned Traffic History Statistics - GetCleanServiceStatistics

## Overview

Retrieve Cleaned Traffic History Statistics






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetCleanServiceStatistics`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ResourceId** | string | Resource ID, cannot be empty |**Yes**|
| **BeginTime** | string | Start Time Query |**Yes**|
| **EndTime** | string | End Time Query |**Yes**|
| **DefenceIP** | string | When DefenceIP is empty, the interface returns the top 5 IPs with the highest attacked traffic in the resource's region;<br />When DefenceIP is a specific IP, the interface returns the pre- and post-cleaning traffic data of that IP in the resource's region. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DefenceIPList** | array[string] | When DefenceIP is empty, only return the array list of TOP 5 traffic IPs. |**Yes**|
| **CleanStatistics** | string | When DefenceIP represents a single IP, only this item is returned. It represents the PPS and BPS information of this IP during the specified time. |**Yes**|




## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=GetCleanServiceStatistics
&ResourceId=usecure_UCLEAN-2cy3wd
&top_organization_id=200000103
&organization_id=200000217
&account_id=200000103
&BeginTime=1523089529
&EndTime=1593089529
&DefenceIP=120.132.20.20

```

### Response Example
    
```json
{
  "Action": "GetCleanServiceStatisticsResponse",
  "DefenceIPList": [
    "106.75.145.36",
    "106.75.175.222",
    "106.75.49.5",
    "120.132.20.20"
  ],
  "RetCode": 0
}
```





